package com.sdtool.common.entity.system;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by jlutt on 2021-03-12
 *
 * @author jlutt
 */
public class DataLockItem {

    private int errorCode;

    private String errorMsg;

    public DataLockItem() {
    }

    public DataLockItem(int errorCode, String errorMsg) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

    private List<DataLockPersonItem> itemList = new ArrayList<>();

    public int getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public List<DataLockPersonItem> getItemList() {
        return itemList;
    }

    public void setItemList(List<DataLockPersonItem> itemList) {
        this.itemList = itemList;
    }
}
